# setup.py
# Copyright 2011 Roger Marsh
# Licence: See LICENCE (BSD licence)

from setuptools import setup

if __name__ == '__main__':

    long_description = open('README').read()

    setup(
        name='results',
        version='2.3.3',
        description='Results database for chess games',
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        package_dir={'results':''},
        packages=[
            'results',
            'results.core', 'results.help', 'results.basecore',
            'results.gui', 'results.gui.minorbases',
            'results.db', 'results.dpt', 'results.sqlite', 'results.apsw',
            'results.about', 'results.tools',
            ],
        package_data={
            'results.about': ['LICENCE', 'CONTACT'],
            'results.help': ['*.txt'],
            },
        long_description=long_description,
        license='BSD',
        classifiers=[
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.3',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Operating System :: OS Independent',
            'Topic :: Games/Entertainment :: Board Games',
            'Intended Audience :: End Users/Desktop',
            'Development Status :: 4 - Beta',
            ],
        install_requires=['basesup==2.0.2',
                          'chesscalc==1.0.1',
                          'emailstore==1.1',
                          'emailextract==0.3',
                          'gridsup==1.0.1',
                          'rmappsup==1.0',
                          ],
        dependency_links=[
            'http://solentware.co.uk/files/basesup-2.0.2.tar.gz',
            'http://solentware.co.uk/files/chesscalc-1.0.1.tar.gz',
            'http://solentware.co.uk/files/emailstore-1.1.tar.gz',
            'http://solentware.co.uk/files/emailextract-0.3.tar.gz',
            'http://solentware.co.uk/files/gridsup-1.0.1.tar.gz',
            'http://solentware.co.uk/files/rmappsup-1.0.tar.gz',
            ],
        )
